
# Style-Forge.Base

![npm](https://img.shields.io/npm/v/style-forge.base)
![npm](https://img.shields.io/npm/dm/style-forge.base)
![license](https://img.shields.io/npm/l/style-forge.base)
![build](https://github.com/Sarmaged/style-forge.base/actions/workflows/publish.yml/badge.svg)

`Style-Forge.Base` provides the foundational CSS variables and base styles for the Style Forge framework. It includes essential typography, color schemes, and utility classes, ensuring a consistent and customizable design system for your web projects.

## Description

To check out docs, visit [style-forge.dev](https://style-forge.dev/base/)

## Contributing

We welcome contributions from the community! Please follow these steps to contribute:

1. Fork the repository.
2. Create a new branch: `git checkout -b feature/branch-name`.
3. Make your changes and commit them: `git commit -am 'Add some feature'`.
4. Push your changes to the forked repository: `git push origin feature/branch-name`.
5. Create a pull request in the original repository.

For more detailed information, please refer to [CONTRIBUTING.md](CONTRIBUTING.md).

## License

This project is licensed under the MIT License. See the [LICENSE](LICENSE) file for details.

## Links

- [style-forge](https://github.com/Sarmaged/style-forge)
- [style-forge.base](https://github.com/Sarmaged/style-forge.base)
- [style-forge.colors](https://github.com/Sarmaged/style-forge.colors)
- [style-forge.form](https://github.com/Sarmaged/style-forge.form)
- [style-forge.helpers](https://github.com/Sarmaged/style-forge.helpers)
- [style-forge.patterns](https://github.com/Sarmaged/style-forge.patterns)
- [style-forge.themes](https://github.com/Sarmaged/style-forge.themes)

## Authors

- **Dmitrii Sagalov** - *Expert in interface development* - [Sarmaged](https://github.com/Sarmaged)

## Contact

If you have any questions or suggestions, please open an issue in [Issues](https://github.com/Sarmaged/style-forge.base/issues).
